package com.ruoyi.project.patrol.dev.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.dev.mapper.TDevStandpipeMapper;
import com.ruoyi.project.patrol.dev.domain.TDevStandpipe;
import com.ruoyi.project.patrol.dev.service.ITDevStandpipeService;

/**
 * 消防竖管Service业务层处理
 * 
 * @author admin
 * @date 2023-10-31
 */
@Service
public class TDevStandpipeServiceImpl implements ITDevStandpipeService 
{
    @Autowired
    private TDevStandpipeMapper tDevStandpipeMapper;

    /**
     * 查询消防竖管
     * 
     * @param id 消防竖管主键
     * @return 消防竖管
     */
    @Override
    public TDevStandpipe selectTDevStandpipeById(Long id)
    {
        return tDevStandpipeMapper.selectTDevStandpipeById(id);
    }

    /**
     * 查询消防竖管列表
     * 
     * @param tDevStandpipe 消防竖管
     * @return 消防竖管
     */
    @Override
    public List<TDevStandpipe> selectTDevStandpipeList(TDevStandpipe tDevStandpipe)
    {
        return tDevStandpipeMapper.selectTDevStandpipeList(tDevStandpipe);
    }

    /**
     * 新增消防竖管
     * 
     * @param tDevStandpipe 消防竖管
     * @return 结果
     */
    @Override
    public int insertTDevStandpipe(TDevStandpipe tDevStandpipe)
    {
        return tDevStandpipeMapper.insertTDevStandpipe(tDevStandpipe);
    }

    /**
     * 修改消防竖管
     * 
     * @param tDevStandpipe 消防竖管
     * @return 结果
     */
    @Override
    public int updateTDevStandpipe(TDevStandpipe tDevStandpipe)
    {
        return tDevStandpipeMapper.updateTDevStandpipe(tDevStandpipe);
    }

    /**
     * 批量删除消防竖管
     * 
     * @param ids 需要删除的消防竖管主键
     * @return 结果
     */
    @Override
    public int deleteTDevStandpipeByIds(Long[] ids)
    {
        return tDevStandpipeMapper.deleteTDevStandpipeByIds(ids);
    }

    /**
     * 删除消防竖管信息
     * 
     * @param id 消防竖管主键
     * @return 结果
     */
    @Override
    public int deleteTDevStandpipeById(Long id)
    {
        return tDevStandpipeMapper.deleteTDevStandpipeById(id);
    }
}
